#
# spec file for package xlockmore (Version 5.21)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bc bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freeglut freeglut-devel freetype freetype2 freetype2-devel ftgl gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libdrm libdrm-devel libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           xlockmore
BuildRequires:  bc esound-devel freeglut-devel freetype freetype2-devel ftgl gcc-c++ libdrm-devel pkgconfig
License:        Other License(s), see package
Group:          System/X11/Utilities
Provides:       xlock
Obsoletes:      xlock
Autoreqprov:    on
Version:        5.21
Release:        13.2
Summary:        Screen Saver and Locker for the X Window System
URL:            http://www.tux.org/~bagleyd/xlockmore.html
Source:         %{name}-%{version}.tar.bz2
Source1:        xlock.pamd
Source2:        xlock-wrapper
Patch:          %{name}-bitmaps.patch
Patch1:         %{name}-null.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The xlock utility locks your X Window System session and runs a screen
saver until a password is entered.



Authors:
--------
    David Albert Bagley     <bagleyd@bigfoot.com>
    Patrick J. Naughton <naughton@eng.sun.com>

%debug_package
%prep
%setup -q
%patch
%patch1

%build
%{?suse_update_config:%{suse_update_config -f}}
aclocal
autoconf
export CPPFLAGS=-I/usr/include/FTGL
%ifarch %arm
# ICE workaround
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -O1"
%endif
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr/X11R6 \
	--with-libraries=%{_libdir} \
	--without-motif \
	-without-gtk \
	-without-gtk2 \
	--with-passwd-helper=/sbin/unix2_chkpwd \
	--disable-bomb \
        --enable-vtlock \
	--disable-gtk \
        --enable-use-mb
make

%install
install -d -m 755 $RPM_BUILD_ROOT/etc/pam.d
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/include/X11/bitmaps/
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/include/X11/pixmaps/
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/bin/
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/man/man1/
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/lib/xlock
install -m 644 bitmaps/*.xbm $RPM_BUILD_ROOT/usr/X11R6/include/X11/bitmaps/
install -m 644 pixmaps/*.xpm $RPM_BUILD_ROOT/usr/X11R6/include/X11/pixmaps/
install -m 755 xlock/xlock $RPM_BUILD_ROOT/usr/X11R6/lib/xlock/xlock
install -m 644 xlock/XLock.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XLock
install -m 644 xlock/xlock.man $RPM_BUILD_ROOT/usr/X11R6/man/man1/xlock.1x
install -m 644 %{S:1} $RPM_BUILD_ROOT/etc/pam.d/xlock
install -m 755 %{S:2} $RPM_BUILD_ROOT/usr/X11R6/bin/xlock

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc /usr/X11R6/man/man1/xlock.1x.gz
%doc README docs/Revisions docs/TODO
%config /etc/pam.d/xlock
%config /usr/X11R6/lib/X11/app-defaults/XLock
/usr/X11R6/bin/xlock
/usr/X11R6/lib/xlock
/usr/X11R6/include/X11/bitmaps
/usr/X11R6/include/X11/pixmaps

%changelog -n xlockmore
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 - sbrabec@suse.cz
- Updated to version 5.21.
* Tue Nov 15 2005 - uli@suse.de
- build with -O1 on ARM (ICE workaround)
* Thu Aug 04 2005 - sbrabec@suse.cz
- Updated to version 5.18.
* Tue May 24 2005 - mcihar@suse.cz
- update to 5.17
* Wed May 11 2005 - mcihar@suse.cz
- update to 5.16
- dropped patch accepted by upstream
* Fri Mar 11 2005 - mcihar@suse.cz
- fix reading resources (bug #72191)
* Tue Mar 08 2005 - mcihar@suse.cz
- fix permissions
* Mon Feb 14 2005 - mcihar@suse.cz
- update to 5.15
- more fontset support merged upstream
* Mon Dec 06 2004 - mcihar@suse.cz
- update to 5.14.1
* Mon Nov 15 2004 - kukuk@suse.de
- Use common-* PAM config files
* Tue Sep 14 2004 - mcihar@suse.cz
- work correctly with utf-8 (bug #45065):
- use multibyte X functions (--enable-use-mb)
- calculate correctly font height for multibyte (xlockmore-fonts.patch)
- use different fontset for signature (fixed) and messages (sans) (xlockmore-fonts.patch)
- set default fonts to one available in SUSE (xlockmore-fonts.patch)
* Wed Aug 04 2004 - mcihar@suse.cz
- update to 5.13
* Thu May 27 2004 - mcihar@suse.cz
- update to 5.12
* Tue Apr 20 2004 - mcihar@suse.cz
- enabled VT locking
* Tue Feb 24 2004 - mcihar@suse.cz
- compile with -fno-strict-aliasing
- include more docs
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Wed Jan 07 2004 - schwab@suse.de
- Don't hardcode SIGCHLD value.
- Fix quoting.
* Wed Jan 07 2004 - mcihar@suse.cz
- updated to 5.11.1
- removed patches accepted by author
- do not trap SIGCHLD in wrapper script - bug #32858
* Thu Nov 06 2003 - mcihar@suse.cz
- update to 5.10
* Wed Aug 06 2003 - mcihar@suse.cz
- updated to 5.09
* Fri Jun 13 2003 - kukuk@suse.de
- fix filelist
* Wed Apr 30 2003 - mcihar@suse.cz
- renamed to xlockmore
- updated to 5.07.1:
  * Many buxfixes.
  * Checks for OpenGL errors.
  * Added a Caps Lock check.
* Fri Mar 07 2003 - tcrhak@suse.cz
- restart xlock only when a signal was received,
  not when xlock ended with an error, e.g. unknown mode
* Mon Mar 03 2003 - tcrhak@suse.cz
- Added xlock wrapper (source xlock-wrapper), replacing
  the original xlock. The wrapper restarts xlock whenever
  it terminates unexpectedly, e.g. when the used module
  segfaults. [bug #23091]
* Fri Feb 07 2003 - kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so
* Tue Feb 04 2003 - pmladek@suse.cz
- updated to version 5.06:
  * new mode petri
  * allow -erasemode to handle more complicated requests like
-erasemode all-circle_wipe
  * and many bug fixes
- helper-bug.dif merged in helper.dif
* Mon Nov 18 2002 - ro@suse.de
- removed duplication of AC_CONFIG_HEADER(config.h)
* Thu Sep 19 2002 - pmladek@suse.cz
- previous change fixes the bugs #18790, #14329 and not the bug #18774
* Tue Sep 03 2002 - pmladek@suse.cz
- fixed helper patch, FALLBACK_XLOCKRC is still not needed because PAM
  support is replaced by PASSWD_HELPER_PROGRAM [#18774]
* Tue Aug 27 2002 - pmladek@suse.cz
- used --with-libraries=%%{_libdir} to fix for lib64
* Mon Aug 26 2002 - pmladek@suse.cz
- pam module is accessed via new helper utility unix2_chkpw and xlock binary
  do not need group id bit now, many thanks to Olaf Kirch <okir@suse.de>
  for hint and patch [#18132]
* Mon Feb 18 2002 - tcrhak@suse.cz
- fixed application default resources (XLock.*.bitmap); bug #13347
* Tue Feb 12 2002 - cihlar@suse.cz
- removed sound support (it breaks Minimal+X11 selection)
* Tue Feb 12 2002 - cihlar@suse.cz
- removed xlock-mesa due to problems with mesa
  screensavers [#12944]
* Tue Feb 05 2002 - cihlar@suse.cz
- update to version 5.03
- added sound support (sound off by default)
- fixed to compile xlock without mesa and
  xlock-mesa with mesa
* Thu Nov 08 2001 - ro@suse.de
- use mesa-devel-packages in neededforbuild
* Mon Oct 29 2001 - dan@suse.cz
- update to 5.02 version
* Fri Aug 24 2001 - schwab@suse.de
- Fix conflicting declaration.
* Tue Aug 14 2001 - ro@suse.de
- Don't use absolute paths to PAM modules in PAM config files
* Thu Aug 09 2001 - dan@suse.cz
- update to the latest stable (4.17.2)
* Mon Jun 25 2001 - pblaha@suse.cz
- remove mode cartoon due to a copyright problems
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Wed Feb 07 2001 - uli@suse.de
- fixed for glibc 2.2.1
- removed cracklib, pam from neededforbuild
* Mon Jan 22 2001 - schwab@suse.de
- Fix conflicting declarations.
- Add %%suse_update_config.
* Thu Aug 17 2000 - smid@suse.cz
- format string security bug fixed
* Wed May 24 2000 - smid@suse.cz
- mesadev added to needeforbuild
* Tue Apr 18 2000 - smid@suse.cz
- buildroot added
- upgrade to 4.16
* Thu Mar 23 2000 - ro@suse.de
- fixed to compile on both xf86
* Fri Jan 07 2000 - kukuk@suse.de
- Update to 4.15
* Sat Oct 16 1999 - kukuk@suse.de
- Build one version with and one without Mesa.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 01 1999 - kukuk@suse.de
- Link against Mesa
* Wed Jun 30 1999 - kukuk@suse.de
- Don't give egid away, it's needed for reading shadow
* Mon Jun 28 1999 - kukuk@suse.de
- update to 4.14
* Tue Jun 08 1999 - kukuk@suse.de
- update 4.12 -> 4.13.1
- Compile with PAM
* Tue Jan 12 1999 - uli@suse.de
- update 4.04 -> 4.12
* Tue Oct 14 1997 - ro@suse.de
- updated file list
  ready for autobuild
* Fri Oct 10 1997 - florian@suse.de
- update to version 4.04
* Sun Jun 22 1997 - florian@suse.de
- update to version 4.02.1
* Wed Apr 30 1997 - florian@suse.de
- make xlock sgid "shadow" and not suid "root"
* Sun Apr 27 1997 - bs@suse.de
- update to new version 4.02 (security fix)
* Sun Apr 13 1997 - florian@suse.de
- update to new version 4.01
- do not enable automatic logout button
* Sun Feb 02 1997 - florian@suse.de
- update to new version 3.13
* Thu Jan 02 1997 - florian@suse.de
- update from beta-version to official 3.12
* Thu Jan 02 1997 - florian@suse.de
- update to newest version 3.12BETA due to security problems
* Thu Jan 02 1997 - florian@suse.de
  update to new version 3.10
